using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FiestaBot.Instances.Networking;
using FiestaBot.Utilities;
using FiestaBot.Zone.Networking;

namespace FiestaBot.Zone.Handlers
{
    internal class Zone09Handler
    {
        [ZonePacketHandler(9, 14)]
        public static void HealHP(ZoneClient Socket, Packet Packet)
        {
            Packet.ReadUInt(out uint HP);
            //Packet.ReadShort(out short Unk00); random data?
            Logger.Log(LogType.Character, "HP changed to {0}", HP);
        }

        [ZonePacketHandler(9, 15)]
        public static void HealSP(ZoneClient Socket, Packet Packet)
        {
            Packet.ReadUInt(out uint SP);
            Logger.Log(LogType.Character, "SP changed to {0}", SP);
        }

        [ZonePacketHandler(9, 42)]
        public static void Handle942(ZoneClient Socket, Packet Packet)
        {
            //TODO: Find out what this is
            Packet.Dispose();
        }
    }
}
